/field-mappings

Create new Field Mappings that will be available after the next scheduled sync. This will cause the next sync for this Linked Account to sync ALL data from start.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

exclude_remote_field_metadatabooleanOptional

If true, remote fields metadata is excluded from each field mapping instance (i.e. remote_fields.remote_key_name and remote_fields.schema will be null). This will increase the speed of the request since these fields require some calculations.

remote_data_iteration_countintegerOptional
Number of common model instances to iterate through when fetching remote data for field mappings. Defaults to 250 if not provided.

Request

This endpoint expects an object.
target_field_namestringRequired>=1 character
The name of the target field you want this remote field to map to.
target_field_descriptionstringRequired>=1 character
The description of the target field you want this remote field to map to.
remote_field_traversal_pathlist of anyRequired

The field traversal path of the remote field listed when you hit the GET /remote-fields endpoint.

remote_methodstringRequired>=1 character
The method of the remote endpoint where the remote field is coming from.
remote_url_pathstringRequired>=1 character
The path of the remote endpoint where the remote field is coming from.
common_model_namestringRequired>=1 character
The name of the Common Model that the remote field corresponds to in a given category.
jmes_pathstringOptional>=1 character

DEPRECATED: Use ‘advanced_mapping_expression’ instead.

advanced_mapping_expressionstringOptional>=1 character
A JSONata expression used to transform the remote field data.

Response

modelobject
warningslist of objects
errorslist of objects
logslist of objects or null